Subject: bug#36302: 26.2.90; two cursors appear in gnus article buffer

From: VanL <[email-masked]>
Date: Mon, 24 Jun 2019 20:17:29 +1000

> On 23 Jun 2019, at 05:46, Alan Third <[email-masked]> wrote:
> 
> On Thu, Jun 20, 2019 at 02:43:21PM +1000, VanL wrote:
>> 
>> See
>> 	https://imgur.com/a/41FQa9e
>> 
>> There are two slightly offred cursors at line position one separating
>> the paragraph text blocks 1, 2, and 3.
>> 
>> Expect to have only one slightly offred cursor at line two in the
>> article buffer.
> 
> I believe this is bug#32932.

I was bit by the bug again.  The second cursor appeared at the bottom of the article buffer window in gnus's gmane reader.  Re-positioning the cursor under my control had no effect on the second cursor.  Re-sizing the frame from 128x36 to 80x36 removed the second cursor.  I widen the frame to see more of the summary window's article titles and return to normal frame size to read the article window.  If there is a toggle to collapse the sender's name between the square brackets, more of the title string can fill the 80-columns in a normal frame size summary window.

--8<---------------cut here---------------start------------->8---
;;; frame sizing
;; ---
(defun x-frame-normal ()
  "sets the normal frame size"
  (interactive)
  (set-frame-size (selected-frame) 80 36))
(global-set-key (kbd "s-]") 'x-frame-normal)

;; ---
(defun x-frame-wide ()
  "sets the wide frame size"
  (interactive)
  (set-frame-size (selected-frame) 128 36))
(global-set-key (kbd "s-}") 'x-frame-wide)

--8<---------------cut here---------------end--------------->8---